package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;
import java.util.List;

/**
 * 单站监控-设备监控-实时运行数据
 *
 */
public class SiteMonitorRuningInfoVo {
    /**
     * 实时有功功率
     */
    private BigDecimal totalActivePower;

    /**
     * 实时无功功率
     */
    private BigDecimal totalReactivePower;

    /**
     * 电池簇SOC
     */
    private BigDecimal soc;

    /**
     * 电池堆SOH
     */
    private BigDecimal soh;

    /**
     * 今日充电量
     */
    private BigDecimal dayChargedCap;

    /**
     * 今日放电量
     */
    private BigDecimal dayDisChargedCap;

    /**
     * 储能功率list
     */
    private List<EnergyStoragePowVo> energyStoragePowList;

    /**
     * pcs平均温度list
     */
    private List<PCSAveTempVo> pcsAveTempList;

    /**
     * 电池平均soclist
     */
    private List<BatteryAveSOCVo> batteryAveSOCList;

    /**
     * 电池平均温度list
     */
    private List<BatteryAveTempVo> batteryAveTempList;

    public BigDecimal getTotalActivePower() {
        return totalActivePower;
    }

    public void setTotalActivePower(BigDecimal totalActivePower) {
        this.totalActivePower = totalActivePower;
    }

    public BigDecimal getTotalReactivePower() {
        return totalReactivePower;
    }

    public void setTotalReactivePower(BigDecimal totalReactivePower) {
        this.totalReactivePower = totalReactivePower;
    }

    public BigDecimal getSoc() {
        return soc;
    }

    public void setSoc(BigDecimal soc) {
        this.soc = soc;
    }

    public BigDecimal getSoh() {
        return soh;
    }

    public void setSoh(BigDecimal soh) {
        this.soh = soh;
    }

    public BigDecimal getDayChargedCap() {
        return dayChargedCap;
    }

    public void setDayChargedCap(BigDecimal dayChargedCap) {
        this.dayChargedCap = dayChargedCap;
    }

    public BigDecimal getDayDisChargedCap() {
        return dayDisChargedCap;
    }

    public void setDayDisChargedCap(BigDecimal dayDisChargedCap) {
        this.dayDisChargedCap = dayDisChargedCap;
    }

    public List<EnergyStoragePowVo> getEnergyStoragePowList() {
        return energyStoragePowList;
    }

    public void setEnergyStoragePowList(List<EnergyStoragePowVo> energyStoragePowList) {
        this.energyStoragePowList = energyStoragePowList;
    }

    public List<PCSAveTempVo> getPcsAveTempList() {
        return pcsAveTempList;
    }

    public void setPcsAveTempList(List<PCSAveTempVo> pcsAveTempList) {
        this.pcsAveTempList = pcsAveTempList;
    }

    public List<BatteryAveSOCVo> getBatteryAveSOCList() {
        return batteryAveSOCList;
    }

    public void setBatteryAveSOCList(List<BatteryAveSOCVo> batteryAveSOCList) {
        this.batteryAveSOCList = batteryAveSOCList;
    }

    public List<BatteryAveTempVo> getBatteryAveTempList() {
        return batteryAveTempList;
    }

    public void setBatteryAveTempList(List<BatteryAveTempVo> batteryAveTempList) {
        this.batteryAveTempList = batteryAveTempList;
    }
}
